Subject: Re: [PATCHv2] put FETCH_HEAD data in merge commit message

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Mar 2007 11:09:00 -0700

"Michael S. Tsirkin" <[email-masked]> writes:

>> Quoting Michael S. Tsirkin <[email-masked]>:
>> Subject: [PATCH] have merge put FETCH_HEAD data in commit message
>> 
>> Hi!
>> I often like to fetch some code from others, review and
>> then merge. So:
>> 
>> git fetch <URL>
>> git log -p FETCH_HEAD
>> git merge FETCH_HEAD
>> 
>> which is all good but gets me this message in commit log:
>> 
>>     Merge commit 'FETCH_HEAD' into master
>> 
>> which is not very informative.
>> I can always fix this up with git commit --amend, but
>> I'd like to avoid the extra step.
>> 
>> Would the following patch be appropriate?
>
> OK, I since discovered git-fmt-merge-msg does all the necessary formatting,
> so here's a better and smaller patch. Seems to work well for me.
>
> Junio, could you apply this?

I am afraid not.  You missed all the points I raised in my reply.